summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorYixun Lan <dlan@gentoo.org>2021-01-16 05:24:49 +0800
committerYixun Lan <dlan@gentoo.org>2021-01-16 05:28:20 +0800
commitc5877353626dffb6ae205ba420e59ef254b23bdc (patch)
tree8081d37f3bc1679898f77c00a9bedcc16569e226
parentdev-ml/markup: add dependency (diff)
downloadgentoo-c5877353626dffb6ae205ba420e59ef254b23bdc.tar.gz
gentoo-c5877353626dffb6ae205ba420e59ef254b23bdc.tar.bz2
gentoo-c5877353626dffb6ae205ba420e59ef254b23bdc.zip
dev-util/crash: version bump, 7.2.9
introduce a live ebuild also switch github source Closes: https://bugs.gentoo.org/761589 Package-Manager: Portage-3.0.12, Repoman-3.0.2 Signed-off-by: Yixun Lan <dlan@gentoo.org>
-rw-r--r--dev-util/crash/Manifest2
-rw-r--r--dev-util/crash/crash-7.2.9.ebuild41
-rw-r--r--dev-util/crash/crash-9999.ebuild41
3 files changed, 84 insertions, 0 deletions
diff --git a/dev-util/crash/Manifest b/dev-util/crash/Manifest
index df790de8604..3faa5d4ea04 100644
--- a/dev-util/crash/Manifest
+++ b/dev-util/crash/Manifest
@@ -1 +1,3 @@
DIST crash-7.2.8.tar.gz 32253097 BLAKE2B 26a8a07749cb62947053992ba761b541ba5d06f0f3bf67312d8228c9d851f51edf1201e732574f7f2f2768d6087324b8dd1f843ea47916bd9f95e514df967589 SHA512 3269760a50b49f25af0e1c43d60432e603036793aa542f8ccfb0b8019376da45afa7c053d3860ae2130b6471f3ac72cff78f1096e9ffa8c6f1d34afb52208e70
+DIST crash-7.2.9.tar.gz 1324947 BLAKE2B dac5485742119fce1cdcab37a87a2a417e408108a73bffdd6fa215587e4c5dec29508d5f11285dbe2a21cd8365cee437296168b85f2f43dc743461061fd0a26e SHA512 57b7b7780ad71bad09d962bfb2d5ad729dd167d9aaffd86f7b5467c98f52e8cb2c6ebb317bf1ad285dcb78ffa300b5dd733c63efd7aaa4ef03ddfe076c269984
+DIST gdb-7.6.tar.gz 31437633 BLAKE2B fb8cb9f0c33f360c864c5776c3dd0233ad534d376a9df8157c7bc9f1c4ccfc8698933409561700f134705c0107038d8bfa23844e512cd3a08e24925d37a1ce58 SHA512 02d9c62fa73bcb79138d14c7fc182443f0ca82d4545b4d260b67d3f0074ed75f899a657814a56727e601032a668b0ddd7b48aabd49215fc012eeea6077bca368
diff --git a/dev-util/crash/crash-7.2.9.ebuild b/dev-util/crash/crash-7.2.9.ebuild
new file mode 100644
index 00000000000..e807f3d302e
--- /dev/null
+++ b/dev-util/crash/crash-7.2.9.ebuild
@@ -0,0 +1,41 @@
+# Copyright 1999-2021 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI="7"
+
+inherit toolchain-funcs
+
+if [[ ${PV} == "9999" ]] ; then
+ EGIT_REPO_URI="https://github.com/crash-utility/crash.git"
+ SRC_URI="http://ftp.gnu.org/gnu/gdb/gdb-7.6.tar.gz"
+ EGIT_BRANCH="master"
+ KEYWORDS=""
+ inherit git-r3
+else
+ SRC_URI="https://github.com/crash-utility/${PN}/archive/${PV}.tar.gz -> ${P}.tar.gz
+ mirror://gnu/gdb/gdb-7.6.tar.gz"
+ KEYWORDS="-* ~alpha ~amd64 ~arm ~ia64 ~ppc64 ~s390 ~x86"
+fi
+
+DESCRIPTION="Red Hat crash utility; used for analyzing kernel core dumps"
+HOMEPAGE="https://github.com/crash-utility/crash"
+
+LICENSE="GPL-3"
+SLOT="0"
+IUSE=""
+# there is no "make test" target, but there is a test.c so the automatic
+# make rules catch it and tests fail
+RESTRICT="test"
+
+src_prepare() {
+ sed -i -e "s|ar -rs|\${AR} -rs|g" Makefile || die
+ ln -s "${DISTDIR}"/gdb-7.6.tar.gz . || die
+ default
+}
+
+src_compile() {
+ emake \
+ CC="$(tc-getCC)" \
+ AR="$(tc-getAR)" \
+ CFLAGS="${CFLAGS}" LDFLAGS="${LDFLAGS}"
+}
diff --git a/dev-util/crash/crash-9999.ebuild b/dev-util/crash/crash-9999.ebuild
new file mode 100644
index 00000000000..e807f3d302e
--- /dev/null
+++ b/dev-util/crash/crash-9999.ebuild
@@ -0,0 +1,41 @@
+# Copyright 1999-2021 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI="7"
+
+inherit toolchain-funcs
+
+if [[ ${PV} == "9999" ]] ; then
+ EGIT_REPO_URI="https://github.com/crash-utility/crash.git"
+ SRC_URI="http://ftp.gnu.org/gnu/gdb/gdb-7.6.tar.gz"
+ EGIT_BRANCH="master"
+ KEYWORDS=""
+ inherit git-r3
+else
+ SRC_URI="https://github.com/crash-utility/${PN}/archive/${PV}.tar.gz -> ${P}.tar.gz
+ mirror://gnu/gdb/gdb-7.6.tar.gz"
+ KEYWORDS="-* ~alpha ~amd64 ~arm ~ia64 ~ppc64 ~s390 ~x86"
+fi
+
+DESCRIPTION="Red Hat crash utility; used for analyzing kernel core dumps"
+HOMEPAGE="https://github.com/crash-utility/crash"
+
+LICENSE="GPL-3"
+SLOT="0"
+IUSE=""
+# there is no "make test" target, but there is a test.c so the automatic
+# make rules catch it and tests fail
+RESTRICT="test"
+
+src_prepare() {
+ sed -i -e "s|ar -rs|\${AR} -rs|g" Makefile || die
+ ln -s "${DISTDIR}"/gdb-7.6.tar.gz . || die
+ default
+}
+
+src_compile() {
+ emake \
+ CC="$(tc-getCC)" \
+ AR="$(tc-getAR)" \
+ CFLAGS="${CFLAGS}" LDFLAGS="${LDFLAGS}"
+}